import * as tslib_1 from "tslib";
import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { AverageDirectionalIndexIndicator } from "./AverageDirectionalIndexIndicator";
/**
 * Represents a IgxDataChartComponent Average Directional indicator series.
 * Default required members: High, Low, Close
*/
var IgrAverageDirectionalIndexIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(IgrAverageDirectionalIndexIndicator, _super);
    function IgrAverageDirectionalIndexIndicator(props) {
        return _super.call(this, props) || this;
    }
    IgrAverageDirectionalIndexIndicator.prototype.createImplementation = function () {
        return new AverageDirectionalIndexIndicator();
    };
    Object.defineProperty(IgrAverageDirectionalIndexIndicator.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrAverageDirectionalIndexIndicator.prototype, "period", {
        /**
         * Gets or sets the moving average period for the current AverageDirectionalIndexIndicator object.
         * The typical, and initial, value for AverageDirectionalIndexIndicator periods is 14.
        */
        get: function () {
            return this.i.ql;
        },
        set: function (v) {
            this.i.ql = +v;
        },
        enumerable: true,
        configurable: true
    });
    return IgrAverageDirectionalIndexIndicator;
}(IgrStrategyBasedIndicator));
export { IgrAverageDirectionalIndexIndicator };
